Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.general
Class DatasetGroup

    java.lang.Object
      org.jfree.data.general.DatasetGroup

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class DatasetGroup

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A class that is used to group datasets (currently not used for any specific purpose).

See Also:
  Serialized Form

Constructor Summary
`DatasetGroup()` Constructs a new group.
`DatasetGroup(java.lang.String id)` Creates a new group with the specified id.

Method Summary
`java.lang.Object` | `clone()` Clones the group.
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`java.lang.String` | `getID()` Returns the identification string for this group.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatasetGroup

    public DatasetGroup()

  Constructs a new group.

### DatasetGroup

    public DatasetGroup(java.lang.String id)

  Creates a new group with the specified id.

  Parameters:
    `id` - the identification for the group.

Method Detail

### getID

    public java.lang.String getID()

  Returns the identification string for this group.

  Returns:
    The identification string.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clones the group.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - not by this class.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD